<% if (section === 'html') { %>
<div class="page" page="soccer">
  <br>
  <center>
    <div class="container">
      <div class="row">
        <div class="col s12 m6 row">
          <a class="col s12 btn-large waves-effect modal-trigger watervlo-blue" data-target="soccer-matches-modal" onclick="connection.sendCommand('soccer', 'getMatches')">Laad wedstrijden</a>
        </div>
      </div>
    </div>
  </center>

  <!-- Get soccer matches modal -->
  <div id="soccer-matches-modal" class="modal modal-fixed-footer">
    <div class="modal-content">
      <h4>Wedstrijden</h4>
      <table>
        <thead>
          <tr>
            <th>ID</th>
            <th>Thuis</th>
            <th>Uit</th>
            <th>Competitie</th>
          </tr>
        </thead>

        <tbody id="soccer-matches-body">
        </tbody>
      </table>
    </div>
    <div class="modal-footer">
      <a class="modal-close waves-effect waves-green btn-flat">Sluit</a>
    </div>
  </div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  document.addEventListener('DOMContentLoaded', function() {
    const elems = document.querySelectorAll('.modal');
    const instances = M.Modal.init(elems);
  });
  registerCommand('soccer', 'getMatches', (data) => {
      updateSoccerMatchesTable(data.matches)
  })

  function updateSoccerMatchesTable(matches) {
    const tableBody = document.getElementById('soccer-matches-body')
    tableBody.innerHTML = ''

    for (const match of matches) {
        const tableRow = tableBody.insertRow(-1)

        tableRow.insertCell(-1).innerHTML = match.id
        tableRow.insertCell(-1).innerHTML = match.home
        tableRow.insertCell(-1).innerHTML = match.away
        tableRow.insertCell(-1).innerHTML = match.competition
        tableRow.insertCell(-1).innerHTML = `<a class="btn waves-effect modal-close watervlo-blue" onclick="connection.sendCommand('soccer', 'setMatch', { matchId: ${match.id} })">Selecteer</a>`
    }
  }
</script>
<% } %>
